from import_export import resources
from . import models

# --------------- FINE PREFISSO TEMPLATE ---------------


class ContattoAziendaleResource(resources.ModelResource):
    class Meta:
        model = models.ContattoAziendale


class RecapitoResource(resources.ModelResource):
    class Meta:
        model = models.Recapito


class TelefonoResource(resources.ModelResource):
    class Meta:
        model = models.Telefono


class EmailResource(resources.ModelResource):
    class Meta:
        model = models.Email


class PersonaFisicaResource(resources.ModelResource):
    class Meta:
        model = models.PersonaFisica


class PersonaGiuridicaResource(resources.ModelResource):
    class Meta:
        model = models.PersonaGiuridica


class SedeResource(resources.ModelResource):
    class Meta:
        model = models.Sede


class FaxResource(resources.ModelResource):
    class Meta:
        model = models.Fax


class PecResource(resources.ModelResource):
    class Meta:
        model = models.Pec


class SoggettoContattabileResource(resources.ModelResource):
    class Meta:
        model = models.SoggettoContattabile


class IndirizzoResource(resources.ModelResource):
    class Meta:
        model = models.Indirizzo


class SocietaResource(resources.ModelResource):
    class Meta:
        model = models.Societa
